=== debian/changelog ===
vdkxdb2 (2.4.0-3.4) unstable; urgency=low

  * Non-maintainer upload.
  * libvdkxdb2-dev replaces and breaks libvdkxdb2-2c2 (<< 2.4.0-3.2) to allow
    smooth upgrades (files moved from libvdkxdb2-2c2 to libvdkxdb2-dev in the
    intrusive 2.4.0-3.2 NMU). Closes: #693982

 -- David Prévot <taffit@debian.org>  Fri, 30 Nov 2012 23:05:34 -0400

vdkxdb2 (2.4.0-3.3) unstable; urgency=low

  * Non-maintainer upload.
  * Stop shipping la file. Closes: #633340.
  * Tighten build-depend on libvdk2-dev to pick the fixed version.
    Closes: #639053.

 -- Regis Boudin <regis@debian.org>  Thu, 15 Sep 2011 00:56:20 +0100

vdkxdb2 (2.4.0-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * dh 7 build system to use dh-autoreconf (Closes: #327894)
    - Build system now finds cairo (Closes: #356872)
  * Lintian fixing:
    - E: removed empty manpage
    - W: Updated debian/copyright
    - W: moved libvdkxdb2.so to -dev package
    - W: Debian Policy 3.9.1
    - W: added misc:Depends to debian/control
    - W: dh 7 fixes clean errors
    - W: dh 7 removes call to dh_undocumented
    - W: added source section:libs to debian/control
    - W: debian/compat changed for version 7
    - W: use {binary:Version} in debian/control instead of {Source-version}
  * source format 3.0 (quilt)
  * Added Section: libs to source package (Closes: #601872)
  * Removed Debian maintainer changes to config.{guess,sub}, 
    use autotools-dev to update (prevent further bitrot)

 -- Scott Howard <showard@debian.org>  Sun, 20 Feb 2011 10:25:57 -0500

vdkxdb2 (2.4.0-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules: fix dh_installdeb order (move it past dh_makeshlibs), so
    that ldconfig postinst snippet is actually used (Closes: #553125)
  * remove (pointless) /usr/lib rpath from .so, using chrpath (added as a
    build-dep)

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 19 Nov 2009 10:41:29 +0100

vdkxdb2 (2.4.0-3) unstable; urgency=low

  * c++ transition (finally)

 -- Michael Vogt <mvo@debian.org>  Sat, 15 Oct 2005 12:22:28 +0200

vdkxdb2 (2.4.0-2) unstable; urgency=low

  * rebuild because of vdk2 rebuild

 -- Michael Vogt <mvo@debian.org>  Tue, 17 Aug 2004 12:47:33 +0200

vdkxdb2 (2.4.0-1) unstable; urgency=low

  * New upstream release

 -- Michael Vogt <mvo@debian.org>  Mon,  2 Aug 2004 12:48:12 +0200

vdkxdb2 (2.0.2-6) unstable; urgency=low

  * NMU prepared by Sam Hocevar uploaded by me 
    (thanks a lot for your help Sam!)
  * debian/control:
    + Build-depend against latest libvdk2-dev and libvdkxdb2-dev versions
      due to major version changes and update dependencies accordingly.
    + Changed the -dev package's section to libdevel.
    + Set debhelper build-dependency to (>= 4.0) because of debian/compat.
    + Uncapitalised short descriptions.
    + Minor spelling fixes.
    + Set policy to 3.6.0.
  * debian/rules:
    + Used DESTDIR instead of --prefix to install the files.
    + Removed calls to dh_makeshlibs. We distribute plugins, not shared libs.
  * debian/vdkbuilder2.{prerm,postrm,postinst}
    + Removed these files. Debhelper does the job for us.

 -- Michael Vogt <mvo@debian.org>  Tue, 19 Aug 2003 10:47:18 +0200

vdkxdb2 (2.0.2-5) unstable; urgency=low

  * rebuild for latest vdkbuilder release

 -- Michael Vogt <mvo@debian.org>  Wed, 18 Jun 2003 12:09:12 +0200

vdkxdb2 (2.0.2-4) unstable; urgency=low

  * added autotools-dev support

 -- Michael Vogt <mvo@debian.org>  Mon, 17 Mar 2003 15:24:06 +0100

vdkxdb2 (2.0.2-3) unstable; urgency=low

  * rebuild again, last build was broken :-/

 -- Michael Vogt <mvo@debian.org>  Sun, 12 Jan 2003 23:28:26 +0100

vdkxdb2 (2.0.2-2) unstable; urgency=low

  * rebuild for g++-3.2

 -- Michael Vogt <mvo@debian.org>  Sun, 12 Jan 2003 15:03:13 +0100

vdkxdb2 (2.0.2-1) unstable; urgency=low

  * New upstream release

 -- Michael Vogt <mvo@debian.org>  Thu,  7 Nov 2002 10:58:49 +0100

vdkxdb2 (2.0.1-3) unstable; urgency=low

  * rebuild against libgtk2.0-0png3

 -- Michael Vogt <mvo@debian.org>  Mon, 19 Aug 2002 17:03:00 +0200

vdkxdb2 (2.0.1-2) unstable; urgency=low

  * corrected depend on libxbase2.0-0

 -- Michael Vogt <mvo@debian.org>  Tue,  9 Apr 2002 17:25:34 +0200

vdkxdb2 (2.0.1-1) unstable; urgency=low

  * new upstream release

 -- Michael Vogt <mvo@debian.org>  Tue,  2 Apr 2002 12:15:03 +0200

vdkxdb2 (2.0.0-1) unstable; urgency=low

  * new upstream release

 -- Michael Vogt <mvo@debian.org>  Thu, 14 Mar 2002 12:32:35 +0100

vdkxdb (0.0.4-2) unstable; urgency=low

  * added build-depends, new debian maintainer, closes bug: #88241

 -- Michael Vogt <mvo@debian.org>  Thu, 12 Apr 2001 11:43:08 +0200

vdkxdb (0.0.4-1) unstable; urgency=low

  * New upstream release. 

 -- Ionutz Borcoman <borco@borco-ei.eng.hokudai.ac.jp>  Sat,  2 Sep 2000 00:37:42 +0900

vdkxdb (0.0.2-1) unstable; urgency=low

  * Initial Release.

 -- Ionutz Borcoman <borco@borco-ei.eng.hokudai.ac.jp>  Thu, 10 Aug 2000 16:22:49 +0900
