=== debian/control ===
Source: vdkxdb2
Section: libs
Priority: optional
Maintainer: Michael Vogt <mvo@debian.org>
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 7.0.50~), libgtk2.0-dev, libglib2.0-dev,
 libvdk2-dev (>= 2.4.0-5.2), libxbase2.0-dev, doxygen, autotools-dev,
 dh-autoreconf, chrpath

Package: libvdkxdb2-2c2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libxbase2.0-0
Conflicts: libvdkxdb2c102, libvdkxdb2-2
Replaces: libvdkxdb2c102, libvdkxdb2-2
Description: VDK data-aware widgets
 VDKXdb is a set of data-aware widgets made to build
 lightweight database applications using the VDK library.
 .
 Report bugs, comments and complaints to:
 mmotta@guest.net

Package: libvdkxdb2-dev
Section: libdevel
Architecture: any
Replaces: libvdkxdb2-2c2 (<< 2.4.0-3.2)
Breaks: libvdkxdb2-2c2 (<< 2.4.0-3.2)
Depends: ${misc:Depends}, libvdkxdb2-2c2 (= ${binary:Version}), libxbase2.0-dev, libc6-dev
Description: development files for libvdkxdb
 VDKXdb is a set of data-aware widgets made to build
 lightweight database applications using the VDK library.
 .
 Report bugs, comments and complaints to:
 mmotta@guest.net
