=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh --with autotools-dev --with autoreconf $@

override_dh_clean:
	dh_clean
	-rm -r testxdb/CVS

override_dh_auto_build:
	make docs
	dh_auto_build
